API DocumentationAccount
Update SSH key
Update name, public key, or description of an SSH key.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
ssh_key_id*string
A unique identifier for an SSH key.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body for updating an SSH key.
At least one of name, public_key, or description must be provided.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X PATCH "https://example.com/v1/ssh-keys/019dd518-7b37-7b33-99a7-85d78d7a3320" \ -H "Content-Type: application/json" \ -d '{ "name": "my-ssh-key", "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC... user@host" }'null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}